repo/gentoo:master commit in: media-fonts/noto/

"Pacho Ramos" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786026516.b305e79da5d76cb8275b62595ee3144a3be135c2.pacho@gentoo>
commit:     b305e79da5d76cb8275b62595ee3144a3be135c2
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Thu Aug  6 14:19:53 2026 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Thu Aug  6 14:28:36 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b305e79d

media-fonts/noto: add 20260801

Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 media-fonts/noto/Manifest             |  1 +
 media-fonts/noto/noto-20260801.ebuild | 40 +++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/media-fonts/noto/Manifest b/media-fonts/noto/Manifest
index 4c77524283fb..7e8afa58df54 100644
--- a/media-fonts/noto/Manifest
+++ b/media-fonts/noto/Manifest
@@ -1,3 +1,4 @@
 DIST noto-20260501.tar.gz 1099246713 BLAKE2B a90f279f394c5e0c05deb22482208b7924fffecca035f2062cb5ef91f32d1af8b22d7a536bcdd5f3ca64bea1965c37926c1b276e4b6a8e23c6313365dea2725f SHA512 d9596f7f83fa0ab5b82f3e1687e08483efc072e29f147aa86cd6b32ff9b630c3cc18600b4b98e13e89e18047659df8fe44f682b56cc8ea5b91a58566b398394f
 DIST noto-20260601.tar.gz 1099286835 BLAKE2B bf90ef5554c4f48e992318b5bbd5ec1972d2988e62802e2aa673be37370e5b38b8e5c8a615b8595b8b4c3f5f9b2bb10e165e7d027370c3f835c02d7a67a5b004 SHA512 eb050536b4fcae5ab37e7a9b381fe0745b79d11b761ab6537511d67cd5c13c4b3083234a6f880f14242ba34c94195b310f9590ab40cf67e6e9363a541b809cbf
 DIST noto-20260701.tar.gz 1099204620 BLAKE2B fb04b7fe36d78974e2983cdb0d6bb760d7b9e91d363a7815f48471759594b7302549800c972ef1a007a12355bae2197bb50daabeaa1ac24b48d40a3c55f6d6fe SHA512 24f1bb94d5e990b874ce0aaad97bbe0cc9c2eaafded96ea93b74cd46877ba86be741ad97e8323983603b895eafa4abf33d85cd0d6c07bc46719a37dc15fff127
+DIST noto-20260801.tar.gz 1099240934 BLAKE2B 71403e0d2b8e759631e62f967348a72673c2ed0afb78c4fade069893a6402c5aae68fd3bc5090f9da22e1522ae626b92a84061e6e54f0e3897183914fcfe7fbe SHA512 4254cbd2f2cdd3ab924e87eef504dc4a1f483850812419fc2750f924b67e245ccc01684d3b58d4215c63f9f8d6b02998bdbc6796783af70f4672b2e6699c7462

diff --git a/media-fonts/noto/noto-20260801.ebuild b/media-fonts/noto/noto-20260801.ebuild
new file mode 100644
index 000000000000..37f48c72927a
--- /dev/null
+++ b/media-fonts/noto/noto-20260801.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit font
+
+DESCRIPTION="Google's font family that aims to support all the world's languages"
+HOMEPAGE="https://fonts.google.com/noto https://github.com/notofonts/notofonts.github.io"
+
+COMMIT="113d8e66a13a47d514be6c07e616842258982f42"
+SRC_URI="https://github.com/notofonts/notofonts.github.io/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/notofonts.github.io-${COMMIT}"
+
+LICENSE="OFL-1.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+# Extra allows to optionally reduce disk usage even returning to tofu
+# issue as described in https://fonts.google.com/noto
+IUSE="+extra"
+
+RESTRICT="binchecks strip"
+
+FONT_SUFFIX="ttf"
+FONT_CONF=(
+	# From ArchLinux
+	"${FILESDIR}/66-noto-serif.conf"
+	"${FILESDIR}/66-noto-mono.conf"
+	"${FILESDIR}/66-noto-sans.conf"
+)
+
+src_install() {
+	mkdir install-hinted || die
+	mv fonts/*/hinted/ttf/*.tt[fc] install-hinted/. || die
+
+	FONT_S="${S}/install-hinted/" font_src_install
+
+	# Allow to drop some fonts optionally for people that want to save
+	# disk space. Following ArchLinux options.
+	use extra || rm -rf "${ED}"/usr/share/fonts/noto/Noto*{Condensed,SemiBold,Extra}*.tt[f,c]
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.